# Uses of Class
org.apache.commons.math3.fitting.PolynomialCurveFitter

Packages that use PolynomialCurveFitter
Package
Description
org.apache.commons.math3.fitting
Classes to perform curve fitting.

## Uses of PolynomialCurveFitter in org.apache.commons.math3.fitting

Methods in org.apache.commons.math3.fitting that return PolynomialCurveFitter
Modifier and Type
Method
Description
`static PolynomialCurveFitter`
PolynomialCurveFitter.`create(int degree)`
Creates a default curve fitter.
`PolynomialCurveFitter`
PolynomialCurveFitter.`withMaxIterations(int newMaxIter)`
Configure the maximum number of iterations.
`PolynomialCurveFitter`
PolynomialCurveFitter.`withStartPoint(double[] newStart)`
Configure the start point (initial guess).